import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class OrderHistoryService {
    private http;
    constructor(http: HttpClient);
    getOrderHistoryList(data: any, currentPage?: any): Observable<any>;
    getOrderDetailList(orderID: any): Observable<any>;
    getOrderHistorySearchStatuses(): Observable<any>;
    getOrderHistorySearchResults(data: any, currentPage?: any): Observable<any>;
    sortOrderHistory(data: any, reqPayload: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderHistoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OrderHistoryService>;
}
